PDA

Visualizza la versione completa : Nixstaller traduzione


psykopear
03-08-2007, 23:39
Sfogliando le pagine di linux magazine, ho trovato questo curioso programma, che permette di creare file "autoinstallanti" con un men¨ di installazione, a m˛ di wizard su windows. Mi stavo interessando, ma ancora prima di iniziare, ho notato che c'Ŕ solo in inglese e in tedesco. Per me nessun problema, per˛, dato che stasera non c'avevo niente da fare, ho tradotto il file dei testi dall'inglese all'italiano. Ora, io non me ne faccio niente, visto e considerato che l'ho tradotto io, quindi volevo sapere come fare per poterlo far pubblicare insieme alla prossima versione del software. :ciauz:
Intanto lo provo per vedere come va il programma ^^

mykol
04-08-2007, 01:05
incomincia a metterlo sul forum ...

psykopear
04-08-2007, 01:25
Originariamente inviato da mykol
incomincia a metterlo sul forum ...

aspe. prima devo riuscire a fare l'installer di vlc (un programma a caso che ho trovato nel dvd, che ancora non avevo installato), per˛ mi da un po di problemi, aspe guarda qui:


function Init()
install.destdir = install.gettempdir()

cfgscreen = install.newcfgscreen("Opzioni di configurazione per Vlc")

prefixfield = cfgscreen:addirselector("Directpry di destinazione per tutti i file di Vlc", "/usr")

install.screenlist = { WelcomeScreen, LicenseScreen, cfgscreen, InstallScreen, FinishScreen }
end

function getprefixconf()
return string.format("--prefix=%s", prefixfield:get())
end

function install()
local prefix = prefixfield:get()

install.setstepcount(4)

if (os.writeperm(prefix) == false) then
install.askrootpw()
end

install.extractfiles()
os.chdir("vlc-0.8.6c.tar.gz")

install.setstatus("Configurazione di vlc...")
install.execute(string.format("./configure %s", getprefixconf()))

install.setstatus("Commpilazione di vlc...")
install.execute("make")

install.setstatus("Installazione di vlc...")
if (os.writeperm(prefix) == false) then
install.executeasroot("make install")
else
install.execute("make install")
end
end


In fase di creazione del pacchetto mi da un errore:
Lua errore detected:Errore Running function: config/run.lua:2:attemp to index global 'install' (function value)

edit: forse ho capito: la i di install deve essere maiuscola senn˛ non mi riconosce la funzione ^^

Loading